Name:           p0rn-comfort
Version:        0.0.4
Release:        46%{?dist}
Summary:        Support programs for browsing image-gallery sites
License:        GPL+
URL:            http://www.cgarbs.de/p0rn-comfort.en.html
Source0:        http://www.cgarbs.de/stuff/p0rn-comfort-%{version}.tar.gz
Patch0:         p0rn-modules.patch
Patch1:         p0rn-static.patch
Patch2:			p0rn-paths.patch
BuildArch:      noarch
BuildRequires:      perl-generators
Requires:       lynx, wget, mmv

%description
p0rn-comfort consists of several support programs for browsing
image-gallery sites.  It includes a proxy which enables blacklisting
of thumbnail sites on-the-fly.  It also supports queueing of entire
pages for download and fetching them at a later time.  Queuing can
either be done manually (directly from your browser) or by an
automated download script which can also follow links between
different galleries.
       
%prep
%setup -q
%patch0 -p 1 -b .modules
%patch1 -p 1 -b .static
%patch2 -p 1 -b .paths

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{perl_vendorlib}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libexecdir}/p0rn-comfort
mkdir -p %{buildroot}%{_mandir}/man1

install -m 644 -D P0rn/DB.pm %{buildroot}%{perl_vendorlib}/P0rn/DB.pm
install -m 644 -D P0rn/Static.pm %{buildroot}%{perl_vendorlib}/P0rn/Static.pm
	

install -m 755 p0rn-bot p0rn-dbdump p0rn-dbrestore p0rn-download p0rn-grab \
	 p0rn-proxy \
	 %{buildroot}%{_bindir}

install -m 755 p0rn-dbadd p0rn-dbdel p0rn-dblist \
	%{buildroot}%{_libexecdir}/p0rn-comfort

# Create and install man-pages
#for file in p0rn-bot p0rn-dbadd p0rn-dbdel p0rn-dblist p0rn-download; do 
#	perldoc -d %{buildroot}%{_mandir}/man1/$file.1 $file
#done
#chmod 644 %{buildroot}%{_mandir}/man1/*
for file in $(cd docs; ls *.1); do
	install -m 644 docs/$file %{buildroot}%{_mandir}/man1/$file
done


%files
%doc ChangeLog COPYRIGHT README
%{_bindir}/*
%{_libexecdir}/p0rn-comfort/
%{perl_vendorlib}/*
%{_mandir}/man1/*


%changelog
* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-46
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-45
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-44
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 30 2022 Jitka Plesnikova <jplesnik@redhat.com> - 0.0.4-43
- Perl 5.36 rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-42
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-41
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.0.4-40
- Perl 5.34 rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-38
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 26 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.0.4-37
- Perl 5.32 re-rebuild of bootstrapped packages

* Mon Jun 22 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.0.4-36
- Perl 5.32 rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 30 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.0.4-33
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.0.4-30
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.0.4-27
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat May 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.0.4-25
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.0.4-22
- Perl 5.22 rebuild

* Tue Aug 26 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.0.4-21
- Perl 5.20 rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.0.4-18
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Petr Pisar <ppisar@redhat.com> - 0.0.4-15
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.0.4-13
- Perl mass rebuild

* Fri Jun 10 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.0.4-12
- Perl 5.14 mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.0.4-10
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.0.4-9
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec  4 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.0.4-6
- Rebuild to fix unowned directory (#233894).

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.0.4-5
- Rebuild for new perl

* Sun Sep 10 2006 Andreas Thienemann <andreas@bawue.net> 0.0.4-4
- *bump*

* Tue May 23 2006 Andreas Thienemann <andreas@bawue.net> 0.0.4-3
- Fixed up P0rn::Static and P0rn::DB to make manual Provides unnecessary

* Sun May 21 2006 Andreas Thienemann <andreas@bawue.net> 0.0.4-2
- Modified p0rn-proxy to actually access P0rn::Static
- Install some binaries into %%{_libexecdir}

* Thu Apr 27 2006 Andreas Thienemann <andreas@bawue.net> 0.0.4-1
- Cleaned up for FE
